Bug 794481 - [abrt] libreoffice-core-3.4.5.2-1.fc16: deInitSystray killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.4.5.2-1.fc16: deInitSystray killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e8d2d1fa7db6ef09743949af49c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 17:45 EST by Moises Gomez
Modified: 2012-06-08 09:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 09:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (14.54 KB, text/plain)
2012-02-16 17:45 EST, Moises Gomez
no flags Details
File: maps (61.89 KB, text/plain)
2012-02-16 17:45 EST, Moises Gomez
no flags Details
File: backtrace (47.91 KB, text/plain)
2012-02-16 17:45 EST, Moises Gomez
no flags Details

  None (edit)
Description Moises Gomez 2012-02-16 17:45:45 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --quickstart --nologo --nodefault
crash_function: ItemHolder1::impl_addItem
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.2.6-3.fc16.x86_64
pid:            12720
pwd:            /home/moicsgomz
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           jue 16 feb 2012 18:33:29 AST
uid:            1000
username:       moicsgomz
xsession_errors: 

backtrace:      Text file, 49059 bytes
dso_list:       Text file, 14893 bytes
maps:           Text file, 63376 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=mosem
:LC_MONETARY=es_DO.utf8
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=12655
:GPG_AGENT_INFO=/tmp/keyring-RznsP6/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=758349cfd068db00bd813d4900000036-1329397745.985743-1984248787
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=es_DO.utf8
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-RznsP6
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=moicsgomz
:SSH_AUTH_SOCK=/tmp/keyring-RznsP6/ssh
:USERNAME=moicsgomz
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1509,unix/unix:/tmp/.ICE-unix/1509
:GIO_LAUNCHED_DESKTOP_FILE=/usr/lib64/libreoffice/share/xdg/qstart.desktop
:MAIL=/var/spool/mail/moicsgomz
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/moicsgomz/.local/bin:/home/moicsgomz/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/moicsgomz
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1502
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:LC_MEASUREMENT=es_DO.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/moicsgomz
:XDG_SEAT=seat0
:SHLVL=1
:LANGUAGE=en_US.UTF-8
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=moicsgomz
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HaSV9WfMJy,guid=f6ab358132ea698bdb72443b00000069
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/moicsgomz
:DISPLAY=:0
:LC_TIME=es_DO.utf8
:XAUTHORITY=/var/run/gdm/auth-for-moicsgomz-J1ZX3q/database
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64

smolt_data:
:
:
:General
:=================================
:UUID: b3df3431-b2f5-4ae1-93ad-244889bec525
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4190.72
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2100
:System Memory: 3903
:System Swap: 13311
:Vendor: TOSHIBA
:System: Satellite C655 PSC2EU-001025
:Form factor: Notebook
:Kernel: 3.2.6-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4473:65310) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4473:64736) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4473:65310) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4473:65310) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4473:65310) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4473:65310) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4332:33142:4332:33154) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:(6505:8290:4473:65310) pci, atl1c, ETHERNET, AR8152 v2.0 Fast Ethernet
:(32902:7213:4473:65310) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4473:65310) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4473:65310) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4473:65310) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 8378020 6496805 6412951 2097152 1879992 1879992
:/dev/sda1 /boot ext4 4096 4096 130557 106054 99501 32768 32531 32531
:/dev/mapper/luks-62487da4-6923-446e-8e0b-26ba20163c9d /home ext4 4096 4096 109980477 105129909 99624911 27525120 27489645 27489645
:

var_log_messages:
:Feb 16 18:33:29 mosem kernel: [23164.878977] soffice.bin[12720]: segfault at 7fdd00000008 ip 00007fdda28cf021 sp 00007fff2d8c5b50 error 4 in libutllx.so[7fdda281d000+13c000]
:Feb 16 18:33:29 mosem abrt[12832]: Saved core dump of pid 12720 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-02-16-18:33:29-12720 (61927424 bytes)
Comment 1 Moises Gomez 2012-02-16 17:45:48 EST
Created attachment 563769 [details]
File: dso_list
Comment 2 Moises Gomez 2012-02-16 17:45:50 EST
Created attachment 563770 [details]
File: maps
Comment 3 Moises Gomez 2012-02-16 17:45:52 EST
Created attachment 563771 [details]
File: backtrace
Comment 4 Caolan McNamara 2012-02-17 08:28:36 EST
deInitSystray, the cursed quick starter

I'm guessing from the backtrace that this was logging out or shutting down Libreoffice with the quickstarter running and with a file open dialog launched from the quickstart active, and that it was not the gnome file dialog
Comment 5 Caolan McNamara 2012-06-08 09:31:59 EDT
I've a fair idea what the problem here was, but I believe its a fairly obscure combination of circumstances of non gnome-file dialog + non-default configuration of a quickstarter + logout with dialog open so I'm not going to invest time in fixing it :-(

Note You need to log in before you can comment on or make changes to this bug.